List supported delegation addresses
curl --request GET \
--url https://api.anchorage-staging.com/v2/delegation-addresses/{assetType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/delegation-addresses/{assetType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/delegation-addresses/{assetType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"address": "<string>",
"anchorageValidator": true,
"name": "<string>",
"validatorType": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List supported delegation addresses
Permissions required: Initiate Staking and Unstaking
Identify the sending asset
To initiate an operation, you must identify which asset you’d like to view the delegation addresses for. Provide an assetType.
Permissions
The provided API key must be associated with a permission group that has Initiate Staking and Unstaking permission for the sending vault.
GET
/
delegation-addresses
/
{assetType}
List supported delegation addresses
curl --request GET \
--url https://api.anchorage-staging.com/v2/delegation-addresses/{assetType} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/delegation-addresses/{assetType}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/delegation-addresses/{assetType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"address": "<string>",
"anchorageValidator": true,
"name": "<string>",
"validatorType": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The asset type to retrieve delegation addresses
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?